Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 12/05/2013, à 13:43

Draknof

Pourquoi une telle régression dans le support des drivers ?

J'ai découvert Linux avec Ubuntu 7.10 Gutsy Gibbon. A l'époque Gnomme était particulièrement, rustre, la gestion des drivers et en particulier 3D était souvent compliquée pour les néophytes : configuration manuelle de xorg.conf, mauvaise reconnaissance de la résolution, installation périlleuse des drivers propriétaires. Mais bon Linux était un truc de geek aventureux ayant l'envie et le temps de l'aventure.

Puis Ubuntu s'est lancé dans une phase de simplification pour tordre le coup à tous ceux décriant "Linux c'est compliqué, il faut tout éditer en ligne de commande pour que cela commence à marcher". J'ai personnellement trouvé ce travail remarquable, les imprimantes et scanners étaient reconnues d'emblée, pulseaudio a arrêté de déconner, et on pouvait installer les drivers propriétaires en 2 clics. Le bureau 3D était un vrai bonheur, Compiz est devenu stable et user friendly.
Ubuntu était devenu plus simple, agréable et intuitif que Windows, mais pour lancer ses jeux vidéos (récents), il fallait passer par la case reboot.

Je suis resté 2 ans sur la version 11.04, puis ai migré à la 13.04 récemment. Je passerai outre ce bureau 3D qui ne fait que de planter, pour parler de la gestion des drivers AMD/ATI. Qu'est-ce qu'il s'est passé sérieusement ? Pourquoi n'est-il plus possible de passer des drivers libres à ceux de AMD/ATI ! J'ai essayé toute la matinée d'installer la dernière version de Catalyst et pas moyen même en suivant les tutoriels, d'ailleurs rien qu'en première page de ce forum, je vois 4 cas similaires au mien :
http://forum.ubuntu-fr.org/viewtopic.php?id=1276041
http://forum.ubuntu-fr.org/viewtopic.php?id=1277351
http://forum.ubuntu-fr.org/viewtopic.php?id=1275681
http://forum.ubuntu-fr.org/viewtopic.php?id=1275181

A titre informatif j'ai fini par abandonner (trop vite diront certains), car je considère qu'en 2013, on ne doit plus avoir à fouiller 50 pages de forum et exécuter ses compilations pour installer quelque chose d'aussi standard que les drivers 3D d'une ATI HD 4850.

C'est quand même le comble qu'en 2013, heure ou Wine peut faire tourner bon nombre de jeu convenablement, heure ou  Steam attaque le marché gaming sur Linux, de devoir rebooter sur Windows.

Hors ligne

#2 Le 13/05/2013, à 06:25

fcn50

Re : Pourquoi une telle régression dans le support des drivers ?

Salut,

Ce n'est pas la faute de nunux mais d' AMD qui ne prend plus les CG HD 2xxx - 4xxx un charge mais uniquement au travers du catalyst legacy. Essaye avec le PPA. La chose est connue depuis un moment. Ça s'appel le capitalisme: votre machin est trop vieux... nous vous proposons le dernier modèle qui comblera toutes vos attentes.


14.04.1 LTS, Xfce 4.10.1, Phenom II x6 1090T BE, SSD Patriot Inferno 60 Go, WD Black 1 To, Sapphire HD 7750 ULTIMATE, RME HDSP 9632, Dell U2713HM.
Un site qui vaut le détour: http://blog.syti.net  Une radio hors du commun: http://solenopole.org  You like the american dream? Wellcome to Guantànamo!

Hors ligne

#3 Le 13/05/2013, à 07:15

bluc

Re : Pourquoi une telle régression dans le support des drivers ?

salut,

Oui je veux bien que ce soit la faute de AMD, c'est vrai, mais pourquoi par exemple la 10.04 fonctionnait bien, la 10.10 plantait, la 11.04 je n'ai pu l'installer , la 11.10 plantait la 12.04 fonctionnait sans aucun problème, ainsi que la 13.04 entre les deux la 12.10 plantait elle aussi
J'ai une carte Radeon Xpress 200 M dont aucun drivers propriétaire n'existe


Packard Bell : elementary OS  ❖  Ubuntu 14.04 Unity
Toshiba A 100-187 :  Lxde 12.04 ❖ Linux Mint 17 Mate 

Hors ligne

#4 Le 13/05/2013, à 09:00

fcn50

Re : Pourquoi une telle régression dans le support des drivers ?

Ouais, il me semble qu'il y a souvent un décalage entre les versions noyau, xorg et les pilotes et suivant toute cette soupe, il faut procéder autrement pour que ça remarche. Avant avec catalyst fallait presque que dkms, maintenant il faut 25 paquets supplémentaires.


14.04.1 LTS, Xfce 4.10.1, Phenom II x6 1090T BE, SSD Patriot Inferno 60 Go, WD Black 1 To, Sapphire HD 7750 ULTIMATE, RME HDSP 9632, Dell U2713HM.
Un site qui vaut le détour: http://blog.syti.net  Une radio hors du commun: http://solenopole.org  You like the american dream? Wellcome to Guantànamo!

Hors ligne

#5 Le 13/05/2013, à 09:01

freechelmi

Re : Pourquoi une telle régression dans le support des drivers ?

Réponse courte : Xorg et le Kernel evolue a chaque fois, donc un travail doit etre fait par les contructeurs pour que leurs drivers fonctionne encore. Comme sur les imprimantes ils ne font souvent tout simplement pas ce travail.

Hors ligne

#6 Le 13/05/2013, à 09:46

fcn50

Re : Pourquoi une telle régression dans le support des drivers ?

D'ailleurs, xvba-va-driver stagne depuis des lustres sous nunux alors que ça fonctionne sous w$, résultat, faut se farcir les BD sans accélération et le cpu à fond sinon ça pixelise un max alors que les CG en sont capables. Abrutis de dev AMD.


14.04.1 LTS, Xfce 4.10.1, Phenom II x6 1090T BE, SSD Patriot Inferno 60 Go, WD Black 1 To, Sapphire HD 7750 ULTIMATE, RME HDSP 9632, Dell U2713HM.
Un site qui vaut le détour: http://blog.syti.net  Une radio hors du commun: http://solenopole.org  You like the american dream? Wellcome to Guantànamo!

Hors ligne

#7 Le 15/05/2013, à 22:29

Draknof

Re : Pourquoi une telle régression dans le support des drivers ?

faucon50 a écrit :

Salut,

Ce n'est pas la faute de nunux mais d' AMD qui ne prend plus les CG HD 2xxx - 4xxx un charge mais uniquement au travers du catalyst legacy. Essaye avec le PPA. La chose est connue depuis un moment. Ça s'appel le capitalisme: votre machin est trop vieux... nous vous proposons le dernier modèle qui comblera toutes vos attentes.

Pourquoi est-ce que AMD/ATI propose les derniers drivers pour les séries HD4xxxx sur son site web ?

freechelmi a écrit :

Réponse courte : Xorg et le Kernel evolue a chaque fois, donc un travail doit etre fait par les contructeurs pour que leurs drivers fonctionne encore. Comme sur les imprimantes ils ne font souvent tout simplement pas ce travail.

L'argument est 100% recevable. Mais pourquoi est-ce qu'aucun développeur n'a fait en sorte que l'on puisse tout de même installer les drivers proprio avec la même simplicité qu'antan ?

Hors ligne

Haut de page ↑